genl-ctrl-list(8)

NAME
genl-ctrl-list - List available kernel-side generic netlink families

SYNOPSIS
genl-ctrl-list [-d]

DESCRIPTION

Queries the generic netlink controller in kernel and prints a list of all registered generic netlink families including the version of the interface that has been registered.

OPTIONS

-h or --help
    Print help text to console and exit.

-v or --version
    Print versioning information to console and exit.

-d or --details
    Include additional detailed information for each generic netlink family that is printed.

    The information includes:

    •   The size of the family specific netlink message header (hdrsize).

    •   The maximum netlink attribute identifier allowed by the interface (maxattr).

    •   A list of registered generic netlink operations prefixed with op including their name (if available), identifier and the flags indicating the availability of a doit or dump function.

    •   A list of registered multicast groups prefixed with grp including their name (if available) and identifier.

    Example:

    0x0010 nlctrl version 2
            hdrsize 0 maxattr 7
                  op GETFAMILY (0x03) <has-doit,has-dump,has-policy>
                      grp notify (0x10)

EXAMPLE
    $ genl-ctrl-list
        0x0010 nlctrl version 2
            0x0011 NLBL_MGMT version 3
                0x0012 NLBL_CIPSOv4 version 3
                    0x0013 NLBL_UNLBL version 3
                        0x0014 acpi_event version 1
                            0x0015 thermal_event version 1
                                0x0016 VFS_DQUOT version 1
                                    0x0017 TASKSTATS version 1
                                        0x0018 NET_DM version 2

AUTHOR

Thomas Graf is the original author and current maintainer of libnl and libnl tools. Many people have contributed to it since.